{ stdenv, fetchFromGitHub, python3Packages }:

python3Packages.buildPythonPackage rec {
	name = "migen";

	src = fetchFromGitHub {
		owner = "m-labs";
		repo = "migen";
		rev = "7bc4eb1387b39159a74c1dbd1b820728e0bfbbaa";
		sha256 = "039jk8y7f0vhr32svg3nd23i88c0bhws8ngxwk9bdznfxvhiy1h6";
		fetchSubmodules = true;
	};

	propagatedBuildInputs = with python3Packages; [ colorama ];

	meta = with stdenv.lib; {
		description = "A refreshed Python toolbox for building complex digital hardware";
		homepage    = "https://m-labs.hk";
		license     = licenses.bsd2;
		maintainers = [ maintainers.sb0 ];
	};
}
